/*
 *
 * @(#)ReadHTML.java 0.1 97/07/31
 *
 * Copyright (c) 1997 Ginger Booth.  All Rights Reserved.
 *
 * @history: original
 * @author Ginger Booth
 * @version 0.1, July 1997
 */
package courseware.util;

import java.applet.*;
import java.awt.*;
import java.net.*;

/** Class and applet to spawn an HTML reader to allow us
 *  to provide help files, etc., in HTML and let the CourseWare applet
 *  spawn readers for them from buttons.  Very little control over this
 *  spawned reader window yet....
 */

public class ReadHTML {
    private Applet parent;
    private String frameName = "_blank";  // hidden in depths of JDK doc'n....

    public ReadHTML(String leafFile, Applet childof) {
        parent = childof;
        if (leafFile==null) return;
        if (leafFile.equals("")) return;
        try {
            parent.getAppletContext().showDocument(
                    new URL(parent.getDocumentBase(), leafFile),
                frameName);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}

