//Title:        Gecko
//Version:
//Copyright:    Copyright (c) 1999, All rights reserved
//Author:       Ginger Booth, gingerbooth@cyber-wizard.com, ginger@gbooth.com
//Company:      Yale IBS/CCE
//Description:  Individual-Based Ecology Simulator

/** That which is common to GeckoCourseWare and GeckoApplication, so that same
 *  protocol runs batch/applet/application the same way. Background colors are
 *  the issue, mostly...
 */


package gecko;

import courseware.util.*;
import courseware.plot.*;
import courseware.jfcdep.*;
import java.awt.*;

public interface GeckoDriver extends CourseWare {

  public void setNumRuns(int i);
  public boolean isRestart();
  public int getNumRun();
  public void setGridColor(Color c);
  public void setBackgroundImage(String s);
  public void setBackgroundImageOff();
  public void setButtonImages(String plain, String pressed);
  public void setOutputFileStem(String s);
  public void makeButton(String paramListName);
  public void addStatsTo(String paramListName, boolean includeSites);
  public void addStatsTo(String paramListName);
  public void addAllSpeciesTo(String paramListName);
  public void setBacsim(boolean b);
  public boolean isBacsim();
}
