//Title:        Gecko
//Version:
//Copyright:    Copyright (c) 2000, All rights reserved
//Author:       Ginger Booth, gingerbooth@cyber-wizard.com, ginger@gbooth.com
//Company:      Yale IBS/CCE
//Description:  Individual-Based Ecology Simulator

/** Written for observeRadius for Os for ScaredyWorld body size spread, vfb, 000209.
 *  Everything's done by super except knowing that it's radius I'm looking at.
 */
package gecko.statglue;
import gecko.zoo.*;

public class RadiusMeanSigmaSkew extends MeanSigmaSkew {
  public RadiusMeanSigmaSkew(boolean doSkew) {super(doSkew);}
  public void tally(QuadCircleSpecies alive) {
    super.tally(alive.getRadius());
  }
}
