//Title:        Gecko
//Version:
//Copyright:    Copyright (c) 1999, All rights reserved
//Author:       Ginger Booth, gingerbooth@cyber-wizard.com, ginger@gbooth.com
//Company:      Yale IBS/CCE
//Description:  Individual-Based Ecology Simulator

/** Feeds through biomass tallies to a plot/file trace.
 */

package gecko.statglue;

import stats.*;
import gecko.*;

public class BiomassBroker extends StatSourceBroker {
  private double scale;

  public BiomassBroker(Biomassable s, int resourceId) {
    statsource = (StatSource) s;
    scale      = Globals.getResources().getBioScale(resourceId);
  }

  public double getValue() {
    return ((Biomassable) statsource).getBiomass();
  }
  public double getWeight() { return scale; };
}
