//Title:        Gecko
//Version:
//Copyright:    Copyright (c) 1999, All rights reserved
//Author:       Ginger Booth, gingerbooth@cyber-wizard.com, ginger@gbooth.com
//Company:      Yale IBS/CCE
//Description:  Individual-Based Ecology Simulator

/** Glue one fragstat onto plot/file output. */

package gecko.statglue;
import stats.*;

public class FragBroker extends StatSourceBroker {
  private int stat;

  public FragBroker(FragStatBuckets source, int stat) {
    statsource = (StatSource) source;
    this.stat  = stat;
    normalizer = 1.0;
  }
  public int getStat() {return stat;}
  public double getValue() {
    return ((FragStatBuckets) statsource).getStat(stat);
  }
  /** need to weight by members + deaths, or newborn mortality is artificially 0. */
  public double getWeight() {return 1.0;}
}

