//Title:        Gecko
//Version:
//Copyright:    Copyright (c) 1999, All rights reserved
//Author:       Ginger Booth, gingerbooth@cyber-wizard.com, ginger@gbooth.com
//Company:      Yale IBS/CCE
//Description:  Individual-Based Ecology Simulator

/** Feeds through population counts to a plot/file trace.
 */

package gecko.statglue;
import gecko.*;

import stats.*;
public class PopBroker extends StatSourceBroker {
  public PopBroker(Species s) {statsource = s;}
  public double getValue() { return ((Species) statsource).getPopulation(); }
  public double getWeight() { return 1.0; };
}
