//Title:        Gecko
//Version:
//Copyright:    Copyright (c) 2000, All rights reserved
//Author:       Ginger Booth, ginger@gingerbooth.com
//Company:      Yale IBS/CCE
//Description:  Individual-Based Ecology Simulator
/**
 * 000922, vfb, original Java
 * A basic rectangle species that can abide on the Quad tree. The default
 * step() does nothing. In other words,
 * instances of this gizmo are completely passive, but show up. As rectangles.
 */


package gecko.zoo;
import gecko.*;
import java.awt.Color;

public class QuadRectangleSpecies extends QuadCircleSpecies {
  public Color color = Color.red;  // default

  public QuadRectangleSpecies() {
    super();
    setType(Quad.QUAD_FEED); // just something that draws itself
  }

  /** Paint myself into the world.*/
  public void paint(QuadDisplay qd) {
    qd.drawRect(color, lx, ly, ux, uy, false);
  }


  public void setColor(Color c) { color = c;}

}